#include <iostream>

using namespace std;

int main()
{

    int n;
    cin>>n;
    int a;
    string c;
    int rez=0;
    cout<<n;
    for(int i=1;i<n;i++){
        cin>>a;
        cin>>a;
        cin>>c;
        if(c=="S") rez++;
    }
    cout<<rez;
    return 0;
}